Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class SAPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.sapbapiadapter.sapbapi.SAPException

All Implemented Interfaces:
  java.io.Serializable

    public class SAPException

extends java.lang.Exception

The class wraps up the Exception happening whie executing the BAPI and throws it back to the Collaboration. The User can get the Exception String as well as the Actual Exception occurred for their processing.

Author:
  $Author: Chalapathy
See Also:
  Serialized Form

Constructor Summary
`SAPException()` Constructs a new `SAPException` with null as its detail message
`SAPException(java.lang.String msg)` Constructs a new `SAPException` with the specified detail message.
`SAPException(java.lang.String msg, java.lang.Throwable aCause)` Constructs a new `SAPException` with the specified detail message and cause.
`SAPException(java.lang.Throwable aCause)` Constructs a `SAPException` with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

Method Summary
`java.lang.String` | `getMessage()` The String representation of the Exception occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAPException

    public SAPException()

  Constructs a new `SAPException` with null as its detail message

### SAPException

    public SAPException(java.lang.String msg)

  Constructs a new `SAPException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### SAPException

    public SAPException(java.lang.String msg,
                        java.lang.Throwable aCause)

  Constructs a new `SAPException` with the specified detail message and cause.

  Parameters:
    `msg` - the detail message
    `aCause` - Throwable that caused the this exception

### SAPException

    public SAPException(java.lang.Throwable aCause)

  Constructs a `SAPException` with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

  Parameters:
    `aCause` - Throwable that caused the this exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  The String representation of the Exception occurred.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    String containing the Exception details.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD